import { OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { BbDashboardSidebar } from '../dashboard-sidebar/dashboard-sidebar.component';
import { Patch, Platform } from '@bravobit/bb-foundation';
export declare class BbDashboard implements OnInit, OnDestroy {
    private _patch;
    private _platform;
    private _renderer;
    sidebar?: BbDashboardSidebar;
    backgroundColor: string;
    maxWidth: string;
    padding: string;
    constructor(_patch: Patch, _platform: Platform, _renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setHtmlClass;
}
